%global srcname pytools

Name:           python-%{srcname}
Version:        2015.1.2
Release:        3%{?dist}
Summary:        A collection of tools for python

License:        MIT
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools python-six
BuildRequires:  python3-devel python3-setuptools python3-six

%description
Pytools are a few interesting things that are missing from the Python Standard
Library.

Small tool functions such as:
* len_iterable
* argmin
* tuple generation
* permutation generation
* ASCII table pretty printing
* GvR's mokeypatch_xxx() hack
* The elusive flatten, and much more.
* Michele Simionato's decorator module
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%package -n python2-%{srcname}
Summary:       A collection of tools for python 2
Requires:      python2-appdirs python-decorator
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Pytools are a few interesting things that are missing from the Python 2
Standard Library.

Small tool functions such as:
* len_iterable
* argmin
* tuple generation
* permutation generation
* ASCII table pretty printing
* GvR's mokeypatch_xxx() hack
* The elusive flatten, and much more.
* Michele Simionato's decorator module
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%package -n python3-%{srcname}
Summary:       A collection of tools for python 3
Requires:      python3-appdirs python3-decorator
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python3-%{srcname}
Pytools are a few interesting things that are missing from the Python 3
Standard Library.

Small tool functions such as:
* len_iterable
* argmin
* tuple generation
* permutation generation
* ASCII table pretty printing
* GvR's mokeypatch_xxx() hack
* The elusive flatten, and much more.
* Michele Simionato's decorator module
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
 
%files -n python2-%{srcname}
%doc README PKG-INFO
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc README PKG-INFO
%{python3_sitelib}/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2015.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2015.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Aug 05 2015 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2015.1.2-1
- Update to 2015.1.2
- Update python macroses
- Add python3 subpackage
- Update for new python packaging guidelines

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 8-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 09 2009 Ramakrishna Reddy Yekulla <ramkrsna@fedoraproject.org> 8-2
- Spec file cleanup 

* Wed Apr 08 2009 Ramakrishna Reddy Yekulla <ramkrsna@fedoraproject.org> 8-1
- Initial RPM release


